test_that("poi_creation", {
  in_data <- readRDS(list.files(pattern = "poi_creation.rds",
                                full.names = TRUE,
                                recursive = TRUE))

  poi <- data.frame(COMID = in_data$COMID[1], ID = "12345")

  poi_out <- POI_creation(poi, in_data, "HUC12")

  expect_equal(poi_out$Type_HUC12, "12345")
  expect_equal(poi_out$COMID, in_data$COMID[1])

  poi <- data.frame(COMID = in_data$COMID[2], ID = "54321")

  poi_out2 <- POI_creation(poi, in_data, "CA_SO")

  expect_equal(poi_out2$Type_CA_SO, "54321")

  poi_out_at1 <- addType(poi_out2, poi_out, "CA_SO", nexus = FALSE)
  expect_equal(poi_out_at1$Type_CA_SO, c(NA, "54321"))

  poi_out_at2 <- addType(poi_out2, poi_out, "CA_SO", nexus = FALSE, bind = FALSE)
  expect_equal(poi_out_at2$Type_CA_SO, c(NA))

  poi <- data.frame(COMID = in_data$COMID[1], ID = "57681")
  poi_out3 <- POI_creation(poi, in_data, "TE")
  poi_out_at3 <- addType(poi_out3, poi_out, "TE", nexus = FALSE)
  expect_equal(poi_out_at3$Type_TE, c("57681"))

  poi_out_at4 <- addType(mutate(poi_out3, nexus = TRUE), poi_out_at1, "TE", nexus = TRUE)
  expect_equal(poi_out_at4$Type_TE, c(NA, NA, "57681"))
  expect_equal(poi_out_at4$nexus, c(FALSE, FALSE, TRUE))
})
