if(Sys.getenv("sb_user") == "CHANGEME") stop("must set sb_user")

# Path mods
path_mod <- FALSE
if (path_mod){
  # 7-zip
  old_path <- Sys.getenv("PATH")
  Sys.setenv(PATH = paste(old_path, "C:\\Program Files\\7-zip", sep = ";"))
  
  # Mapshaper
  old_path <- Sys.getenv("PATH") 
  Sys.setenv(PATH = paste(old_path, paste0(Sys.getenv("USERPROFILE"), "AppData\\Roaming\\npm"), sep = ";"))
  
  # Whitebox Tools
  library(whitebox)
  wbt_init(exe_path = paste0(Sys.getenv("USERPROFILE"), "AppData\\Roaming\\R\\data\\R\\whitebox\\WBT\\whitebox_tools.exe"))
}

# CRS for projected and geographic reference systems
geo_crs <- 4326
proj_crs <- 5070

# Variables used in 01_Gage_Selection
# Earliest start data for streamgage inclusion into POI selection 
#          with mean daily streamflow
POR_Start <- as.Date("1979-10-01")
# Minimum number of days with mean daily streamflow to be considered as 
#         inclusion into POI selection (non-inclusive of start date)
min_obs <- 90

# POI thresholds
# Minimum drainage area for gages (square kilometers)
min_da_km_gages <- min_da_km <- 5 
sqkm_sqmi <- .386
min_da_km_terminal <- 10
# Variables used during 02_Navigate
wb_area_thresh <- 1 # Waterbody size for inclusion as POI
# minimum/max drainage area for headwaters(square kilometers)
min_da_km_hw <- 40
max_da_km_hw <- 60
# Max difference in elevation within a single segment/POI (centimeters)
elev_diff <- 50000 
# Max number of travel time hours between adjacent POIS
travt_diff <- 24 
# Maximum total drainage area to consider a travel time break
max_elev_TT_DA <- 10
# maximum proportional drainage area difference to collapse adjacent POIs
poi_dar_move <- .05 
poi_distance_move <- 2.5


# Settings for refactor workflow
split_meters <- 10000
combine_meters <- 1000
reach_meas_thresh <- 10
aggregate_da_thresh_sqkm <- 5

# parallel factor for catchment reconciliation.
para_reconcile <- 2
para_split_flines <- 2
keep_cat_points <- 1

# Variables used during 07-2_NonDend
CAC_thresh <- 0.66 # Coefficient of areal correspondence threshold
